### Type parameters

- #### T

- #### R: QueryRequest<T> | ScanRequest<T>

- #### I: QueryInput | ScanInput

- #### Z: QueryResponse<T> | ScanResponse<T>

### Hierarchy

- BaseRequest<T, I>
  - Request
    - ScanRequest
    - QueryRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- metadata
- modelClazz
- params
- DEFAULT_LIMIT
- INFINITE_LIMIT

### Methods

- exclusiveStartKey
- exec
- execCount
- execFetchAll
- execFullResponse
- execNoMap
- execSingle
- index
- limit
- where
- whereAttribute

## Constructors

### Protected constructor

- new Request(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>): Request

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/request.model.ts:24

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  #### Returns Request

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:18

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:20

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:19

### params

params: I

Overrides BaseRequest.params

- Defined in dynamo/request/request.model.ts:24

### Static DEFAULT_LIMIT

DEFAULT_LIMIT: number = 10

- Defined in dynamo/request/request.model.ts:21

### Static INFINITE_LIMIT

INFINITE_LIMIT: number = -1

- Defined in dynamo/request/request.model.ts:22

## Methods

### exclusiveStartKey

- exclusiveStartKey(key: Key | null): R

- - Defined in dynamo/request/request.model.ts:42

  #### Parameters

  - ##### key: Key | null

    A map representing the start id which is included in next call, if null is delivered startKey will be removed from params

  #### Returns R

### Abstract exec

- exec(): Observable<T[]>

- Overrides BaseRequest.exec

  - Defined in dynamo/request/request.model.ts:93

  #### Returns Observable<T[]>

### Abstract execCount

- execCount(): Observable<number>

- - Defined in dynamo/request/request.model.ts:97

  #### Returns Observable<number>

### execFetchAll

- execFetchAll(): Observable<T[]>

- - Defined in dynamo/request/request.model.ts:102

  fetches all pages. may uses all provisionedOutput, therefore for client side use cases rather use pagedDatasource (exec)

  #### Returns Observable<T[]>

### Abstract execFullResponse

- execFullResponse(): Observable<Z>

- Overrides BaseRequest.execFullResponse

  - Defined in dynamo/request/request.model.ts:91

  #### Returns Observable<Z>

### Abstract execNoMap

- execNoMap(): Observable<QueryOutput | ScanOutput>

- - Defined in dynamo/request/request.model.ts:89

  #### Returns Observable<QueryOutput | ScanOutput>

### Abstract execSingle

- execSingle(): Observable<T | null>

- - Defined in dynamo/request/request.model.ts:95

  #### Returns Observable<T | null>

### index

- index(indexName: string): R

- - Defined in dynamo/request/request.model.ts:52

  #### Parameters

  - ##### indexName: string

  #### Returns R

### limit

- limit(limit: number): R

- - Defined in dynamo/request/request.model.ts:63

  #### Parameters

  - ##### limit: number

  #### Returns R

### where

- where(...conditionDefFns: ConditionExpressionDefinitionFunction[]): R

- - Defined in dynamo/request/request.model.ts:83

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns R

### whereAttribute

- whereAttribute(attributePath: keyof T): RequestConditionFunction<R>

- - Defined in dynamo/request/request.model.ts:79

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns RequestConditionFunction<R>

Generated using TypeDoc